Subject: RE: [ipfix] RE: [ipfix-eval] IPDR response to evaluation drafts

From: Jeff Meyer <[email-masked]>
Date: Mon, 18 Nov 2002 17:37:02 -0800

Hi,

   Let me correct Ivan's comments.  NDM-U 3.1.1 was approved
in Oct. 2002.  NDM-U 3.0, which introduced the binary
protocol was approved in November 2001.  (See the
revision history on p.5-7 of the specification):

   http://www.ipdr.org/documents/NDM-U_3.1.1.pdf

   Interoperability of the binary/compact IPDR was demonstrated
at BillingWorld2002 in June 2002.  The libraries (in
C and Java) to aid vendors in developing interoperable
implementations were developed between Oct. 2001 and
March 2002.

   As stated in the draft, the addition of the streaming
model for Compact IPDR builds on top of the NDM-U 3.1
specification and has not been deployed, yet.

   Given the wide industry interest I have seen in
reducing the "Tower of Babel" of formats for data,
I believe IPDR offers a tremendous benefit over the
alternatives.

   In particular:

     o a formal data definition language based on a
      subset of XML-Schema.  I.e. don't invent a new
      data definition model, XML-Schema already
      does a fine job.

     o a mapping of this formal definition to both XML
      and binary formats.  For the binary format, don't
      invent a new encoding scheme, reuse an existing
      one, XDR.

     o independence between payload and transport.  I.e.
      this model can be used for file based exchange or
      network connection.  And for those exchange protocols,
      reuse existing mechanisms such as TCP, SCTP, HTTP,
      FTP or SOAP.

   In addition this data modelling approach could be used
to bridge with other protocols, if it is deemed we
really need yet another protocol, we can by using the
same mapping approach used with the XDR.

   For instance if NetflowV9 is seen as being needed for
addressing lower reliability exchange, a mapping of the
data model could be defined.  Likewise for Diameter.

   Basically I'm advocating layering.  And I believe that
the approach taken by IPDR provides a very good framework
for building protocols via composition, rather than
throwing everything into a single pot.

Regards,

   Jeff Meyer

 > -----Original Message-----
 > From: Ivan Batanov [mailto:[email-masked]]
 > Sent: Monday, November 18, 2002 2:38 PM
 > To: [email-masked]
 > Subject: [ipfix] RE: [ipfix-eval] IPDR response to evaluation drafts
 >
 >
 > Hello!
 >
 > Regarding the current deployment status of IPDR I would like to add my
 > comments on the lack of current deployment using IPDR
 > streaming protocol
 > that has been proposed to the IPFIX WG.
 >
 > To the best of my knowledge there has been no
 > interoperability testing of
 > this proposed streaming protocol, nor is there any "field proven"
 > implementation. These remarks do not imply that IPDR
 > streaming would not
 > work, but the evaluators might not have understood the
 > implications of what
 > Jeff Meyer's comment:
 >
 > "The specific procedures introduced in Streaming IPDR are not
 > currently
 > available with commercial products."
 > (from
 > http://ipfix.doit.wisc.edu/eval/draft-meyer-ipfix-ipdr-eval-00.txt).
 >
 > As IPDR NDM-U version 3.1 (the first version with XDR-based data
 > representation) was just approved in October, 2002 and there are no
 > production deployments of this substantially new version of
 > the protocol.
 > IPDR streaming is based on this new data representation, with further
 > extensions (not yet approved by IPDR.org) for streaming, identified as
 > future version 4 of the protocol (as documented in the
 > submission) . All
 > references to interoperability of IPDR are based on previous
 > versions of the
 > protocol, which are usinb verbose XML instead of the proposed
 > compact binary
 > representation.
 >
 > There has been interoperability testing between a few of the IPDR.org
 > members using libraries implementing the compact reporesentation. Such
 > libraries are available to the IPDR members. These interoparabilities
 > typically employ file-based transports (FTP/shared
 > directories) rather than
 > the proposed streaming IPDR protocol.
 >
 > "Field proven" for IPDR should be considered to refer to
 > older versions of a
 > file-based, XML-encoded version of the protocol that does not support
 > streaming and which is so verbose as to be unusable by IPFIX.
 >
 > Furthermore, the terms "field proven" or "widely deployed"
 > mentioned here
 > relate to the "D" interface (as specified in NDM-U 3.1) - the
 > interface
 > between mediation systems and billing systems - not the "A" interface
 > (between network elements and mediation systems - which is
 > deemed out of
 > scope in section 2.4.2.1 of the recently approved NDM-U 3.1).
 > This means
 > that the field experience of IPDR, besides rare possible
 > exceptions, hasn't
 > reached routers, switches, or other "devices", but rather was
 > focused on
 > host-based IPC mechanisms.
 >
 > Yours sincerely,
 >
 > Ivan Batanov
 > Senior Network Engineer
 > Earthlink, Inc.
 > e-mail: [email-masked]
 >
 >
 > --
 > Help        mailto:[email-masked] and say "help"
 > in message body
 > Unsubscribe mailto:[email-masked] and say
 > "unsubscribe ipfix" in message body
 > Archive     http://ipfix.doit.wisc.edu/archive/
 >

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/